Skip to main content
GET
Read Order

Authorizations

Authorization
string
header
required

Authentication: Customer session tokens authenticate buyers within your organization. Generate one through the customer session operation.

Path Parameters

id
string<uuid4>
required

Identifier of the order.

Response

Request completed successfully

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

status
enum<string>
required
Available options:
draft,
pending,
paid,
refunded,
partially_refunded,
void
Example:

"paid"

paid
boolean
required

Indicates whether the order has been paid for.

Example:

true

subtotal_amount
integer
required

Subtotal Amount: Amount in cents, before discounts and taxes.

Example:

10000

discount_amount
integer
required

Discount Amount: Discount amount in cents.

Example:

1000

net_amount
integer
required

Net Amount: Amount in cents, after discounts but before taxes.

Example:

9000

tax_amount
integer
required

Tax Amount: Sales tax amount in cents.

Example:

720

total_amount
integer
required

Total Amount: Amount in cents, after discounts and taxes.

Example:

9720

applied_balance_amount
integer
required

Applied Balance Amount: Customer's balance amount applied to this invoice. Can increase the total amount paid, if the customer has a negative balance, or decrease it, if the customer has a positive balance.Amount in cents.

Example:

0

due_amount
integer
required

Due Amount: Amount in cents that is due for this order.

Example:

0

refunded_amount
integer
required

Refunded Amount: Amount refunded in cents.

Example:

0

refunded_tax_amount
integer
required

Refunded Tax Amount: Sales tax refunded in cents.

Example:

0

currency
string
required
Example:

"usd"

billing_reason
enum<string>
required
Available options:
purchase,
subscription_create,
subscription_cycle,
subscription_update
billing_name
string | null
required

Billing Name: Name of the customer that should appear on the invoice.

billing_address
Address · object | null
required
invoice_number
string | null
required

Invoice Number: Invoice number associated with this order. null while the order is in draft status; assigned at finalize.

is_invoice_generated
boolean
required

Indicates whether an invoice has been generated for this order.

receipt_number
string | null
required

Receipt Number: Receipt number for this order. Set once the order is paid for organizations with receipts enabled. When set, a downloadable receipt PDF can be obtained via the receipt endpoint.

customer_id
string<uuid4>
required
product_id
string<uuid4> | null
required
discount_id
string<uuid4> | null
required
subscription_id
string<uuid4> | null
required
checkout_id
string<uuid4> | null
required
product
CustomerOrderProduct · object | null
required
subscription
CustomerOrderSubscription · object | null
required
items
OrderItemSchema · object[]
required

Items: Line items composing the order.

description
string
required

Object representing summary description of the order.

Example:

"Pro Plan"

refundable_amount
integer
required
read-only

Refundable Amount: Amount in cents that can still be refunded (net, before taxes). Accounts for any applied customer balance and previous refunds.

Example:

9000

refundable_tax_amount
integer
required
read-only

Refundable Tax Amount: Sales tax in cents that would be refunded if the full refundable amount is refunded.

Example:

720

seats
integer | null

Count of seats purchased (for seat-based one-time orders).

next_payment_attempt_at
string<date-time> | null

Next Payment Attempt At: When the next automatic payment retry is scheduled. null if the order is not in dunning or all retries have been exhausted.